1.0
1.0
put /v1/tags/{srn}/{key}
Description
update resource tag value
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | srn required | SRN (base64 encoded SRN) Example : c3JuOmRldjI6OjEyMzRhYjU2N2NkNjQ3NjllOGY5ZzQ5MGhpMzA0ODkxOmtyLXdlc3QxOjp2aXJ0dWFsc2VydmVyOnZpcnR1YWwtc2VydmVyL3o5NWZhNTYxLTExdTMtNGZydy05NjJnLTNiMTIzMTIzYzQ5Ng== | string | None |
| path | key required | 태그 key (base64 encoded KEY) Example : dGFnLWtleQ== | string | None |
| body | body required | TagValue |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | TagBaseResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/tags/{srn}/{key}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = resourcemanager 1.0"
Request body
{
"value": "tag-value"
}
Example HTTP response
Response 200
{
"content": {
"": [
{
"key": "tag-key",
"value": "tag-value"
}
]
}
}